<?php
/**
 * InJob-Child functions and definitions
 *
 * @package InJob
 */

add_action( 'after_setup_theme', 'inwave_child_theme_setup' );

function inwave_child_theme_setup() {
    load_child_theme_textdomain( 'injob', get_stylesheet_directory() . '/languages' );
}

//lubandi
function custom_excerpt_length( $length ) {
	return 14;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

//JobRapido Feed
add_action('init', 'customJobRapidoRSS');
function customJobRapidoRSS(){
        add_feed('jobrapidofeed', 'customJobRapidoRSSFunc');
}

function customJobRapidoRSSFunc(){
        get_template_part('rss', 'jobrapidofeed');
}

//Trovit Feed
add_action('init', 'customTrovitRSS');
function customTrovitRSS(){
        add_feed('trovitfeed', 'customTrovitRSSFunc');
}

function customTrovitRSSFunc(){
        get_template_part('rss', 'trovitfeed');
}

//making custom ind feed show all jobs
add_filter('iwj_hook_args_query_listing_job', function($args){
	if(isset($_GET['feed']) && $_GET['feed'] == 'job_feed'){
		$args['posts_per_page'] = -1;
	}
	return $args;
});

//auto register job alert for candidate
add_action('iwj_register_process', function( $user_id ) {
    $position = '';
    $salary_from = '';
    $frequency = 'daily';
    $relationships = array();
    $relationships['category'] = array();
    $relationships['type'] = array();
    $relationships['skill'] = array();
    $relationships['level'] = array();
    $relationships['locations'] = array();
    if( $user_id ) {
        $user = IWJ_User::get_user($user_id);
        $name = $user->get_display_name();
        $email = $user->get_email();
		$position = $name .' ('.$email.')';
        if ( $user->is_candidate() ){
            $alert_id = IWJ_Alert::add($position, $user_id, $name, $email, $salary_from, $frequency, $relationships);
        }
    }
});

/* Custom for auto popup register job alert */

/* DISABLED BY LJ TO APPLY IND

function iwj_custom_auto_popup() {
    echo "<script type='text/javascript'>
	    (function ($) {
		    'use strict';
		    $(document).ready(function ($) {
		    	$('.iwj-alert-submit-form-custom').submit(function (e) {
		            e.preventDefault();
		            var form = $(this);
		            var button = form.find('.iwj-submit-alert-btn');
		            var is_popup = form.hasClass('iwj-alert-submit-form-popup');
		            var is_page = form.hasClass('iwj-alert-submit-form-page');
		            var data = form.serialize();
		            data = 'action=iwj_submit_alert_custom&_ajax_nonce=' + iwj.security + '&lang=' + iwj.lang + '&' + data + '&is_popup=' + (is_popup ? 1 : 0)+'&is_page=' + (is_page ? 1 : 0);
		            $.ajax({
		                url: iwj.ajax_url,
		                type: 'POST',
		                data: data,
		                dataType: 'json',
		                beforeSend: function () {
		                    iwj_button_loader(button, 'add');
		                    form.find('.iwj-respon-msg').slideUp(300).html('');
		                },
		                success: function (result) {
		                    if (result) {

		                        if (is_popup || is_page) {
		                            if (result.success == true) {
		                                form.html(result.message);
		                            } else {
		                                form.find('.iwj-respon-msg').html(result.message).slideDown(300);
		                                iwj_button_loader(button, 'remove');
		                            }
		                        } else {
		                            if (result.message) {
		                                form.find('.iwj-respon-msg').html(result.message).slideDown(300);
		                            }
		                            if (result.success == true) {
		                                setTimeout(function () {
		                                    window.location = result.redirect_url;
		                                }, 2000);
		                            } else {
		                                iwj_button_loader(button, 'remove');
		                            }
		                        }
		                    }
		                }
		            });

		        });
		    	if( !$('body').hasClass('logged-in')){
			        $(window).on('load',function(){
			            $('#iwj-job-alert-popup').modal('show', function(e){
			                var obj = $('#iwj-job-alert-popup');
			                var type_arr = new Array();
			                $( '#email', obj ).change(function(){
			                    var email_value = $(this).val();
			                    email_value = email_value.replace(/@(.*)/g, '');
			                    $( '#name', obj ).val(email_value);
			                });
			                
			                $('.categories').multiselect('refresh');
			                $('.levels').multiselect('refresh');
			                $('.types').multiselect('refresh');
			                $('.locations').multiselect('refresh');
			                $('.skills').multiselect('refresh');

			            });
			        });
		        }
	        });
		})(jQuery);
	</script>
	<style>#iwj-job-alert-popup .iwj-button-loader {
    text-align: center;
}</style>";
}
add_action( 'wp_footer', 'iwj_custom_auto_popup' );

add_action('wp_ajax_iwj_submit_alert_custom', 'iwj_submit_alert_custom');
add_action('wp_ajax_nopriv_iwj_submit_alert_custom', 'iwj_submit_alert_custom');
function iwj_submit_alert_custom() {
    check_ajax_referer('iwj-security');
    //if true: sign up at fontend with popup, false: sign up in dashboard
    $is_popup = sanitize_text_field($_POST['is_popup']);
    $is_page = sanitize_text_field($_POST['is_page']);
    // $position = sanitize_text_field($_POST['position']);
    // $salary_from = sanitize_text_field($_POST['salary_from']);
    // $frequency = sanitize_text_field($_POST['frequency']);
    // $categories = (array) $_POST['categories'];
    // $types = (array) $_POST['types'];
    // $skills = (array) $_POST['skills'];
    // $levels = (array) $_POST['levels'];
    // $locations = (array) $_POST['locations'];
    $position = '';
    $salary_from = '';
    $frequency = 'daily';
    $relationships = array();

    $user_id = get_current_user_id();
    $name = $email = '';

    if (!$user_id) {
        $name = sanitize_text_field($_POST['name']);
        if (!$name) {
            echo json_encode(array(
                'success' => false,
                'message' => iwj_get_alert(__('Please enter your name', 'iwjob'), 'danger')
            ));
            exit;
        }
        $email = sanitize_email($_POST['email']);
        if (!$email) {
            echo json_encode(array(
                'success' => false,
                'message' => iwj_get_alert(__('Please enter your email', 'iwjob'), 'danger')
            ));
            exit;
        }
    } else {
        $user = IWJ_User::get_user($user_id);
        $name = $user->get_display_name();
        $email = $user->get_email();
    }

	$position = $name .' ('.$email.')';
    $captcha_respon = IWJ_Controller::check_recaptcha();
    if ($captcha_respon !== true) {
        echo json_encode(array(
            'loggedin' => false,
            'message' => iwj_get_alert(sprintf(__('Wrong captcha %s.', 'iwjob'), $captcha_respon), 'danger')
        ));
        die();
    }

    $alert_id = IWJ_Alert::add($position, $user_id, $name, $email, $salary_from, $frequency, $relationships);
    if ($alert_id) {
        if (!iwj_option('email_confirm_alert_job_enable')) {
            ob_start();
            if ($is_popup) {
                iwj_get_template_part('job-alert-popup/thankyou', array('alert_id' => $alert_id));
            } else {
                iwj_get_template_part('job-alert-page/thankyou', array('alert_id' => $alert_id));
            }
            $message = ob_get_contents();
            ob_end_clean();
        } else {
            ob_start();
            if ($is_popup) {
                iwj_get_template_part('job-alert-popup/confirm', array('alert_id' => $alert_id));
            } else {
                iwj_get_template_part('job-alert-page/confirm', array('alert_id' => $alert_id));
            }
            $message = ob_get_contents();
            ob_end_clean();

            IWJ_Email::send_email('confirm_alert_job', array(
                'alert_id' => $alert_id,
                'name' => $name,
                'email' => $email,
            ));
        }

        if ($is_popup || $is_page) {
            echo json_encode(array(
                'success' => true,
                'message' => $message
            ));
            exit;
        } else {
            $dashboard = iwj_get_page_permalink('dashboard');
            echo json_encode(array(
                'success' => true,
                'redirect_url' => add_query_arg(array('iwj_tab' => 'alerts'), $dashboard),
                'message' => iwj_get_alert(__('Added successfully, redirecting ...', 'iwjob'), 'success')
            ));
            exit;
        }
    } else {
        echo json_encode(array(
            'success' => false,
            'message' => iwj_get_alert(__('An error occurred during the execution please reload the page and try again.', 'iwjob'), 'danger')
        ));
        exit;
    }
}

DISABLED BY LJ TO APPLY IND */

/* -------------- End custom for auto popup ---------*/