<?php
/**
 * RSS2 Feed Template for displaying RSS2 Posts feed.
 *
 * @package WordPress
 */

header('Content-Type: ' . feed_content_type('rss2') . '; charset=' . get_option('blog_charset'), true);
$more = 1;

echo '<?xml version="1.0" encoding="'.get_option('blog_charset').'"?'.'>';

/**
 * Fires between the xml and rss tags in a feed.
 *
 * @since 4.0.0
 *
 * @param string $context Type of feed. Possible values include 'rss2', 'rss2-comments',
 *                        'rdf', 'atom', and 'atom-comments'.
 */

?>
<source>
<publisher><?php echo get_bloginfo('name');?></publisher>
<publisherurl><?php echo home_url();?></publisherurl>

	<?php
	/**
	 * Fires at the end of the RSS2 Feed Header.
	 *
	 * @since 2.0.0
	 */
    $data_ajax_filter = IWJ_Job_Listing::get_data_filters();
    $query = IWJ_Job_Listing::get_query_jobs($data_ajax_filter);
	while( $query->have_posts()) : $query->the_post();
	$post = get_post();
	$job = IWJ_Job::get_job($post);
	$author = $job->get_author();
	$category_titles = iwj_get_terms_value($job->get_categories());
	$type = $job->get_type();
	$level_titles = iwj_get_terms_value($job->get_all_levels());
	$skill_titles = iwj_get_terms_value($job->get_all_skills());
	$locations = $job->get_locations();
    $locations = $locations ? array_reverse($locations) : '';
	$locations_titles = iwj_get_terms_value($locations);
	?>
	<job> 
		<title><![CDATA[<?php echo $job->get_title(); ?>]]></title>
		<date><![CDATA[<?php echo mysql2date('D, d M Y H:i:s +0000', get_post_time('Y-m-d H:i:s', true), false); ?>]]></date>
		<referencenumber><![CDATA[<?php echo $job->get_id();?>]]></referencenumber>
		<url><![CDATA[<?php echo $job->permalink(); ?>]]></url>
		<company><![CDATA[<?php echo $author ? $author->get_display_name(): ''; ?>]]></company>
		<city><![CDATA[<?php echo isset($locations_titles[1])?$locations_titles[1]:'';?>]]></city>
		<country><![CDATA[<?php echo isset($locations_titles[0])?$locations_titles[0]:'';?>]]></country>
		<description><![CDATA[<?php echo $job->get_description(); ?>]]></description>
		<salary><![CDATA[<?php echo $job->get_salary().($job->get_salary_postfix() ? ' '.$job->get_salary_postfix() : ""); ?>]]></salary>
		<jobtype><![CDATA[<?php echo $type ? $type->name : ''; ?>]]></jobtype>
		<category><![CDATA[<?php echo $category_titles ? implode(", ", $category_titles) : ""; ?>]]></category>
	</job>
	<?php endwhile; ?>
</source>